
#ifndef __XDSP_AUDIO_GRAPH_H
#define __XDSP_AUDIO_GRAPH_H

#include "AudioBufferPool.h"
#include "AudioGraphNode.h"

class CXAudioGraphImpl;
class CXAudioGraph : public CXObject
{
public:
	CXAudioGraph();
	virtual ~CXAudioGraph();
	
	void SetAudioBufferPool(CXAudioBufferPool *pabp);
	
	bool AddNode(CXAudioGraphNode *pnode, bool const output_node = false);
	bool RemoveNode(CXAudioGraphNode *pnode);

	void Compile();

	void Run(dword const nsamples);

private:
	CXAudioGraphImpl *pImpl;
};


#endif
