// AudioGraphPort.h: interface for the CAudioGraphPort class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AUDIOGRAPHPORT_H__9030982B_4C27_4556_82B1_31AFB0D35B8F__INCLUDED_)
#define AFX_AUDIOGRAPHPORT_H__9030982B_4C27_4556_82B1_31AFB0D35B8F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CXAudioGraphNodeImpl;

class CAudioGraphPort;

typedef std::list<CAudioGraphPort *> CAudioGraphPortPtrList;

typedef std::vector<int> IntVector;


class CAudioGraphPort  
{
public:
	CAudioGraphPort(CXAudioGraphNodeImpl *pn);
	virtual ~CAudioGraphPort();

	bool HasConnection(CAudioGraphPort const *pp);
	bool RemoveConnection(CAudioGraphPort const *pp);

public:
	CXAudioGraphNodeImpl *pNode;
	CAudioGraphPortPtrList Connections;
	
	int OutputCount;
	int BufferIndex;
	
};

#endif // !defined(AFX_AUDIOGRAPHPORT_H__9030982B_4C27_4556_82B1_31AFB0D35B8F__INCLUDED_)
